# cWObjectModels Class Reference

List of all members.

## Public Member Functions

| cWObjectModels (DWORD dwModelID, BOOL fAddToHash=TRUE)

## Static Public Member Functions

static void | Hash_Load ()
static cWObjectModels * | Hash_New (DWORD &dwModelID)
static void | Hash_Erase ()
static void | Hash_Remove (cWObjectModels *pcModel)
static cWObjectModels * | FindModel (DWORD dwModelID)

## Public Attributes

std::string | m_strName
std::string | m_strDescription
DWORD | m_dwModelID
BYTE | m_bPaletteChange
DWORD | m_wPaletteVector
sPaletteChange | m_vectorPal [255]
BYTE | m_bTextureChange
DWORD | m_wTextureVector
sTextureChange | m_vectorTex [255]
BYTE | m_bModelChange
DWORD | m_wModelVector
sModelChange | m_vectorMod [255]
WORD | m_wPortalMode
WORD | m_wUnknown_1
DWORD | m_dwUnknownCount
BYTE | m_bInitialAnimation [200]
DWORD | m_dwUnknownDword
DWORD | m_dwUnknown
WORD | m_wSeagreen8
WORD | m_wSeagreen10
WORD | m_wModel
WORD | m_wIcon
WORD | m_wAnimConfig
WORD | m_wSoundSet
DWORD | m_dwModelNumber
DWORD | m_dwObjectFlags1
DWORD | m_dwObjectFlags2
DWORD | m_dwFlags1
DWORD | m_dwFlags2
WORD | m_wUnknown1
DWORD | m_dwUnknown_Blue
float | m_flScale
DWORD | m_dwUnknown_LightGrey
DWORD | m_dwTrio1 [3]
DWORD | m_dwTrio2 [3]
DWORD | m_dwTrio3 [3]
DWORD | m_dwMedGrey
DWORD | m_dwBlueGrey
DWORD | m_dwUnknown_v2
DWORD | m_dwUnknown_v6
cWObjectModels * | m_pcNext
cWObjectModels * | m_pcPrev
std::list< cWObjectModels * > | m_lstModels

## Friends

class | cMasterServer

## Member Function Documentation

cWObjectModels * cWObjectModels::FindModel | ( | DWORD | dwModelID | ) | `[static]`

Finds a world object model.

This function is called when a particular world object model needs to be found. The search is performed by searching for the world object model's model ID.

Parameters:

  | dwModelID | - The world object model's model ID.

Returns:
  *cWObjectModels - A pointer to the world object model.

void cWObjectModels::Hash_Erase | ( |  | ) | `[static]`

Erases all world object models from the world object model hash list.

void cWObjectModels::Hash_Remove | ( | cWObjectModels * | pcModel | ) | `[static]`

Removes a world object model from the world object model hash list.

Parameters:

  | *pcModel | - A pointer to the world object model to be removed.

The documentation for this class was generated from the following files:

- E:/uas2/Server/cWObjectModels.h
- E:/uas2/Server/cWObjectModels.cpp